
#TODO: provide javadoc after/if upstream fixes the win specific build
%define javadoc 0

Name:           laf-plugin
Version:        1.0
Release:        %mkrel 0.0.14
Summary:        Generic plugin framework for Java look-and-feels
License:        BSD
Group:          Development/Java
Url:            https://laf-plugin.dev.java.net/
Source0:        https://laf-plugin.dev.java.net/files/documents/4261/50297/laf-plugin-all.zip
Source1:        build.xml
BuildRequires:  javapackages-tools
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildArch:      noarch

%description
The goal of this project is to provide a generic plugin framework for 
look-and-feels and define the interface of a common kind of plugins - 
the component plugins.

%if %javadoc
%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
Javadoc for %{name}.
%endif

%prep
%setup -q -c %{name}-%{version}
cp %{SOURCE1} build.xml
%remove_java_binaries

%build
#ln -s $(build-classpath asm2/asm2) lib/asm-all-2.2.2.jar
%{ant} all

%install
install -m644 drop/%{name}-50.jar -D %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%if %javadoc
install -d %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%if %javadoc
%files javadoc
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}
%endif


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0-0.0.14.mga10
+ Revision: 2211384
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 1.0-0.0.13.mga9
+ Revision: 1828741
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0-0.0.12.mga8
+ Revision: 1491067
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0-0.0.11.mga7
+ Revision: 1262719
- Mageia 7 Mass Rebuild

* Fri Mar 11 2016 umeabot <umeabot> 1.0-0.0.10.mga6
+ Revision: 989160
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 1.0-0.0.9.mga5
+ Revision: 795712
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.0.8.mga5
+ Revision: 749748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.0.7.mga5
+ Revision: 681265
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-0.0.6.mga4
+ Revision: 506822
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.0.5.mga3
+ Revision: 356635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 nanardon <nanardon> 1.0-0.0.4.mga1
+ Revision: 65061
- use macro to enable/disable doc build
+ grenoya <grenoya>
- imported package laf-plugin


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.0.4mdv2011.0
+ Revision: 620046
- the mass rebuild of 2010.0 packages

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 1.0-0.0.3mdv2010.0
+ Revision: 436083
- rebuild

* Mon Feb 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.0-0.0.2mdv2008.1
+ Revision: 174701
- wrap description

* Mon Feb 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.0-0.0.1mdv2008.1
+ Revision: 174543
- import laf-plugin


